> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Settings in Bulk

> Updates multiple private workspace settings in a single request. 

Permission required: `edit-privileged-setting`

### Changelog
| Version      | Description |
| ---------------- | ------------|
|8.6.0            | Added       |

## OpenAPI

````json POST /api/v1/settings
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Settings"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Settings"
    },
    {
      "name": "Cloud"
    },
    {
      "name": "DNS"
    },
    {
      "name": "E2E"
    },
    {
      "name": "Import"
    },
    {
      "name": "Bulk User Import"
    },
    {
      "name": "Instances"
    },
    {
      "name": "Federation"
    },
    {
      "name": "Moderation"
    },
    {
      "name": "Device Management"
    },
    {
      "name": "Password policy"
    },
    {
      "name": "Video Conference"
    },
    {
      "name": "Media Calls"
    }
  ],
  "paths": {
    "/api/v1/settings": {
      "parameters": [],
      "post": {
        "summary": "Update Settings in Bulk",
        "operationId": "post-api-v1-settings",
        "description": "Updates multiple private workspace settings in a single request. \n\nPermission required: `edit-privileged-setting`\n\n### Changelog\n| Version      | Description |\n| ---------------- | ------------|\n|8.6.0            | Added       |",
        "tags": [
          "Settings"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/X-User-Id"
          },
          {
            "$ref": "#/components/parameters/X-Auth-Token"
          },
          {
            "$ref": "#/components/parameters/x-2fa-code"
          },
          {
            "$ref": "#/components/parameters/X-2fa-method"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "settings": {
                    "type": "array",
                    "description": "The list of settings to update.",
                    "minItems": "1",
                    "items": {
                      "type": "object",
                      "properties": {
                        "_id": {
                          "type": "string",
                          "description": "The unique ID of the setting."
                        },
                        "value": {
                          "description": "The value to set for the setting. The accepted type depends on the setting."
                        }
                      },
                      "required": [
                        "_id",
                        "value"
                      ]
                    }
                  }
                },
                "required": [
                  "settings"
                ]
              },
              "examples": {
                "Example": {
                  "value": {
                    "settings": [
                      {
                        "_id": "API_Allow_Infinite_Count",
                        "value": "false"
                      },
                      {
                        "_id": "API_CORS_Origin",
                        "value": "https://example.com"
                      }
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/trueSuccess"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Invalid Params": {
                    "value": {
                      "success": "false",
                      "error": "must have required property 'settings' [invalid-params]",
                      "errorType": "invalid-params"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    },
                    "details": {
                      "type": "object",
                      "properties": {
                        "method": {
                          "type": "string"
                        },
                        "settingIds": {
                          "type": "array",
                          "items": {
                            "type": "string"
                          }
                        }
                      }
                    }
                  }
                },
                "examples": {
                  "Permission Error": {
                    "value": {
                      "success": "false",
                      "error": "Editing settings is not allowed [error-action-not-allowed]",
                      "errorType": "error-action-not-allowed",
                      "details": {
                        "method": "saveSettings",
                        "settingIds": [
                          "API_Allow_Infinite_Count",
                          "API_CORS_Origin"
                        ]
                      }
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "X-User-Id": {
        "name": "X-User-Id",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "CkCPNctrgCDfmWLqC",
        "description": "The user ID."
      },
      "X-Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE",
        "description": "The authentication token."
      },
      "x-2fa-code": {
        "name": "x-2fa-code",
        "in": "header",
        "schema": {
          "type": "string"
        },
        "description": "The 2FA code. This parameter is required if 2FA is enabled in your workspace. See the <a href=\"https://developer.rocket.chat/apidocs/introduction-to-two-factor-authentication\" target=\"_blank\">Introduction to Two-Factor Authentication</a> document for details."
      },
      "X-2fa-method": {
        "name": "x-2fa-method",
        "in": "header",
        "schema": {
          "type": "string"
        },
        "description": "Enter the method with which you get the 2FA code. It can be `email`, `totp`, or `password`. This parameter is required if 2FA is enabled in your workspace."
      }
    },
    "responses": {
      "trueSuccess": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "success": {
                  "type": "boolean"
                }
              }
            },
            "examples": {
              "Success": {
                "value": {
                  "success": "true"
                }
              }
            }
          }
        }
      },
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

